ProgressRequestBody (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.client

## Class ProgressRequestBody

- java.lang.Object
- - com.squareup.okhttp.RequestBody
  - - com.cloudera.api.swagger.client.ProgressRequestBody

-     public class ProgressRequestBody
      extends com.squareup.okhttp.RequestBody

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ProgressRequestBody.ProgressRequestListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgressRequestBody(com.squareup.okhttp.RequestBody requestBody, ProgressRequestBody.ProgressRequestListener progressListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `contentLength()`
    `com.squareup.okhttp.MediaType` | `contentType()`
    `void` | `writeTo(okio.BufferedSink sink)`

    - ### Methods inherited from class com.squareup.okhttp.RequestBody

      `create, create, create, create, create`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProgressRequestBody

          public ProgressRequestBody(com.squareup.okhttp.RequestBody requestBody,
                                     ProgressRequestBody.ProgressRequestListener progressListener)

  - ### Method Detail

    - #### contentType

          public com.squareup.okhttp.MediaType contentType()

      Specified by:
        `contentType` in class `com.squareup.okhttp.RequestBody`

    - #### contentLength

          public long contentLength()
                             throws IOException

      Overrides:
        `contentLength` in class `com.squareup.okhttp.RequestBody`
      Throws:
        `IOException`

    - #### writeTo

          public void writeTo(okio.BufferedSink sink)
                       throws IOException

      Specified by:
        `writeTo` in class `com.squareup.okhttp.RequestBody`
      Throws:
        `IOException`

Copyright © 2022. All rights reserved.